petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFortranCallbackGetSizes

get sizes of class and subtype pointer arrays

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFortranCallbackGetSizes(PetscClassId classid,PetscInt *numbase,PetscInt *numsubtype)

Collective

### Input Arguments

classid -class Id

### Output Arguments

| numbase | - number of registered class callbacks
| numsubtype | - max number of registered subtype callbacks

### See Also

PetscFortranCallbackRegister()

Level:developer
Location:src/sys/objects/fcallback.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages